# UpdateConfig

class UpdateConfig constructor(var bitlink: String , var title: String = Constants.EMPTY, var archived: Boolean = false, var tags: Array < String > = emptyArray(), var deeplinks: UpdateDeeplinks = UpdateDeeplinks(), var toJson: Boolean = false)(source)

Provides a configuration to update a Bitlink.

See the Bit.ly API for more information.

## Constructors

UpdateConfig
Link copied to clipboard
constructor(builder: UpdateConfig.Builder )
constructor(bitlink: String , title: String = Constants.EMPTY, archived: Boolean = false, tags: Array < String > = emptyArray(), deeplinks: UpdateDeeplinks = UpdateDeeplinks(), toJson: Boolean = false)

## Types

Builder
Link copied to clipboard
data class Builder (var bitlink: String )

Configures the update parameters of a Bitlink.

## Properties

archived
Link copied to clipboard
var archived : Boolean
bitlink
Link copied to clipboard
var bitlink : String
deeplinks
Link copied to clipboard
var deeplinks : UpdateDeeplinks
tags
Link copied to clipboard
var tags : Array < String >
title
Link copied to clipboard
var title : String
toJson
Link copied to clipboard
var toJson : Boolean